function [connection] = Connect2DBWithoutBDA(connection_time)
% perform connection to Filemaker database
% the CONNECT2DB function retrieves the user's database username and 
% passwordre either from the parameters file or with a login interface.
% These login parameters are then used to try to connect to
% the Filemaker database, in order to return the connection object.
% If the connection cannot be established, an error message is displayed in 
% a dialog box, and the error is thrown again to the calling function.
    
    
    try
        
%         username = GetParameter('database/username');
%         password = GetParameter('database/password');

username = 'ataa';
password = '922916';
         
        if(strcmp(username,'???') || strcmp(password,'???'))    
            % Display a login dialog box and retrieve the Filemaker
            % database login parameters
            try
                [username password] = LoginGUI('Filemaker Login');
            catch login_error
                % the login error must have been generated by exiting the function
                % without returning the login parameters --> construct an adapted
                % error and throw it parent try/catch block
                
                canceled_login = MException('Connect2DB:CanceledLogin','login canceled');
                throw(canceled_login);
            end
        end
        
        if(findobj('Tag','connection_status') > 0)
            % Set up the menu connection status text to 'connection attempt...'
            set(findobj('Tag','connection_status'),'String','connection attempt...');
        end
    
        % setting the amount of time, in seconds, for a MATLAB session to 
        % connect to a database via the given JDBC driver
   %     logintimeout(GetParameter('database/driver'),connection_time);
   logintimeout( 'com.filemaker.jdbc.Driver',connection_time);
        % pausing the program for 0.1 second in order to avoid freezing.
        pause(.1);

        % trying to establish a connection with the Filemaker database
       % connection = database(GetParameter('database/name'),username,password,GetParameter('database/driver'),GetParameter('database/url'));
       connection = database('Labo_cinesio.fmp12',username,password,'com.filemaker.jdbc.Driver','jdbc:filemaker://CANEVET/Labo_cinesio.fmp12');

        % throwing error if no connection can be established (no connection handle returned)
        if(connection.Handle == 0)

            % find the reason for connection failure
            if(strfind(connection.Message,'No such account'))
                message = 'Your database account was not found. Please check your username and password.';
            elseif(strfind(connection.Message,'Password incorrect'))
                message = 'Your password is incorrect.';
            elseif(strfind(connection.Message,'Connection refused'))
                message = 'The database connection was refused. Please check that the database is currently opened in Filemaker.';
            else
                message = 'The database connection has failed for an unknown reason...';
            end

            % construct and throw error object
            connection_error = MException('Filemaker:ConnectionFailure',message); 
            throw(connection_error);

        end

%        setdbprefs(GetParameter('database/preferences'));

    catch error % catching eventual errors
        
        if(strcmp(error.identifier,'Filemaker:ConnectionFailure'))
            % if the error comes from a connection failure -> error dialog
            % box, and re-trhow an error to the calling function
            errordlg(error.message,error.identifier);
            connection_failure = MException('Filemaker:ConnectionFailure','connection aborted');
            throw(connection_failure);
            
        elseif(strcmp(error.identifier,'Connect2DB:CanceledLogin'))
            % if the error comes from a login canceling --> re-throw to the
            % calling function  
            rethrow(error);
        
        else
            % if the error comes from any other source --> re-throw it to
            % the calling function 
            rethrow(error);
        end
    end            
    
    return;
end